|  | Contents | Index

Database.HSQL.ODBC

Portability | portable
Stability | provisional
Maintainer | ka2_mail@yahoo.com

Description
The module provides interface to ODBC
Synopsis

connect :: String -> String -> String -> IO Connection
driverConnect :: String -> IO Connection
module Database.HSQL

Documentation
connect

:: String | Data source name
-> String | User identifier
-> String | Authentication string (password)
-> IO Connection | the returned value represents the new connection
Makes a new connection to the ODBC data source

driverConnect

:: String | Connection string
-> IO Connection | the returned value represents the new connection
`driverConnect` is an alternative to `connect`. It supports data sources that require more connection information than the three arguments in `connect` and data sources that are not defined in the system information.

module Database.HSQL
Produced by Haddock version 0.6